Guard Scott:
The village is right in front of the massive Gludio Castle, where the lord lives. It was made by the king's command when the castle was built, so it does not have a very long history. It is even smaller than the town of Gludio.
However, it is next to the Dion region and is close to the Elven Forest, so many travelers pass through it. If you want to go there, follow this road northwest. On your way there, you will pass the camp of ol mahums and the ruins of the undead, so it might be a dangerous journey ...
Return